from django.conf.urls import patterns, url, include
from django.conf import settings

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

BASE_URL_RE = r"^" + settings.BASE_URL.lstrip("/")

handler500 = 'stats.views.error500'

urlpatterns = patterns('',
    # include urls from the stats app
    url(BASE_URL_RE, include('stats.urls')),
    
    url(BASE_URL_RE+'i18n/', include('django.conf.urls.i18n')),
    
    # Django admin:
    url(BASE_URL_RE+'admin/', include(admin.site.urls)),
    # media for test client
    url(BASE_URL_RE+'media/(?P<path>.*)$', 'django.views.static.serve',
        {'document_root': 'media'}),
    
)

