from distutils.core import setup
from setuptools import find_packages

requires = [
    'psycopg2', # Python-PostgreSQL Database Adapter
    'python-memcached', # Pure python memcached client
    'PyYAML', # YAML parser and emitter for Python
    'Markdown', # Python implementation of Markdown
    'Django<1.5', # Python Web framework
    'South', # Migrations for Django
    'django-transmeta' # translatable content in Django's models
]

setup(
    name='unified_statistics',
    version='0.5',
    author=u'Bedrich Kosata',
    author_email='bedrich.kosata@nic.cz',
    packages=find_packages(),
    url='https://redmine.labs.nic.cz/projects/unified-statistics',
    license='GNU General Public License (GPL)',
    description='Unified Statistics for CZ.NIC',
    long_description=open('README.rst').read(),
    zip_safe=False,
    include_package_data=True,
    install_requires=requires
)
