if [ $# -ne 2 ]
then
  echo "Usage: `basename $0` start_date end_date"
  exit 100
fi

STARTDATE=$1
ENDDATE=$2
NAMEEND="${STARTDATE}_${ENDDATE}.csv"
TMPDIR="../_tmp"
TMPTMPDIR="${TMPDIR}/tmp/"
DESTDIR=`grep -o "INCOMING_DATA_DIR.*=.*" ../ogra_server/stats_settings_local.py | sed "s/INCOMING_DATA_DIR.*\"\(.*\)\"/\1/"`
echo "Putting data into ${DESTDIR}"
# start
mkdir -p ${TMPTMPDIR}
rm "${TMPTMPDIR}*.csv"
# ------------ everything from standard stats ------------
python download_source_data.py ${TMPDIR} ${STARTDATE} ${ENDDATE} 
# registrators
python process_regs.py ${TMPDIR}/domains_by_registrator-${NAMEEND} ${TMPDIR}/dnssec_by_registrator-${NAMEEND} "${TMPTMPDIR}{}-dnssec_by_registrator.csv"
python split_csv.py ${TMPDIR}/domains_by_registrator-${NAMEEND} -o "${TMPTMPDIR}{}-domains_by_registrator.csv"
rename.ul - "" ${TMPTMPDIR}*by_registrator.csv
rename.ul - "" ${TMPTMPDIR}*by_registrator.csv
mv ${TMPTMPDIR}*.csv ${DESTDIR}
# domains
python split_csv.py ${TMPDIR}/domains_by_status-${NAMEEND} -o "${TMPTMPDIR}{}-domains_by_status.csv"
sed -i "s/Bez DNSSEC/no_dnssec/" ${TMPDIR}/domains_by_dnssec-${NAMEEND}
sed -i "s/Zabezpečeno DNSSEC/dnssec/" ${TMPDIR}/domains_by_dnssec-${NAMEEND}
python split_csv.py ${TMPDIR}/domains_by_dnssec-${NAMEEND} -o "${TMPTMPDIR}{}-domains_by_dnssec.csv"
python split_csv.py -i ${TMPDIR}/number_of_domains-${NAMEEND} -o "${TMPTMPDIR}{}-number_of_domains.csv"
rename.ul - "" ${TMPTMPDIR}*domains*.csv
rename.ul - "" ${TMPTMPDIR}*domains*.csv
mv ${TMPTMPDIR}*.csv ${DESTDIR}
# other
python split_csv.py ${TMPDIR}/domain_number_changes-${NAMEEND} -o "${TMPTMPDIR}{}-domain_number_changes.csv"
python split_csv.py ${TMPDIR}/registry_operations-${NAMEEND} -o "${TMPTMPDIR}{}-registry_operations.csv"
rename.ul - "" ${TMPTMPDIR}*.csv
rename.ul - "" ${TMPTMPDIR}*.csv
python process_other_objects.py ${TMPDIR}/number_of_other_objects-${NAMEEND} ${TMPTMPDIR}
mv ${TMPTMPDIR}*.csv ${DESTDIR}
# ------- enum --------
python download_enum_data.py ${TMPDIR} ${STARTDATE} ${ENDDATE}
python split_csv.py -i ${TMPDIR}/number_of_enum_domains-${NAMEEND} -o "${TMPTMPDIR}{}-number_of_enum_domains.csv"
rename.ul - "" ${TMPTMPDIR}*number_of_enum_domains.csv
rename.ul - "" ${TMPTMPDIR}*number_of_enum_domains.csv
# ------- all the special stuff ---------
#cp ${TMPDIR}/prepared/*.csv ${DESTDIR}
# ipv6
#python process_ipv6.py ${TMPDIR}/raw/ipv6/201*.csv
#mv *.csv ${DESTDIR}
# hosting
#python join_hosting.py ${TMPDIR}/raw/hosting/
#mv *.csv ${DESTDIR}
# the grand finale
echo "Data are ready in ${DESTDIR}"

